HasRecursiveCalls (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.transform.tailrec

## [Groovy] Class HasRecursiveCalls

- org.codehaus.groovy.transform.tailrec.HasRecursiveCalls

- Check if there are any recursive calls in a method

  Authors:
    Johannes Link

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `hasRecursiveCalls`
    `MethodNode` | `method`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `test(MethodNode method)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression call)`
    `` | `void` | `visitStaticMethodCallExpression(StaticMethodCallExpression call)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean hasRecursiveCalls

    - #### MethodNode method

  - ### Method Detail

    - #### boolean test(MethodNode method)

    - #### void visitMethodCallExpression(MethodCallExpression call)

    - #### void visitStaticMethodCallExpression(StaticMethodCallExpression call)